rpms/openoffice.org/devel openoffice.org-2.4.0.ooo86080.unopkg.bodge.patch, NONE, 1.1 openoffice.org-2.3.1.ooo83878.unopkg.enablelinking.patch, 1.3, 1.4 openoffice.org.spec, 1.1429, 1.1430

Caolan McNamara (caolanm) fedora-extras-commits at redhat.com
Thu Feb 14 11:06:39 UTC 2008


Author: caolanm

Update of /cvs/pkgs/rpms/openoffice.org/devel
In directory cvs-int.fedora.redhat.com:/tmp/cvs-serv18014

Modified Files:
	openoffice.org-2.3.1.ooo83878.unopkg.enablelinking.patch 
	openoffice.org.spec 
Added Files:
	openoffice.org-2.4.0.ooo86080.unopkg.bodge.patch 
Log Message:
Resolves: rhbz#432654 add openoffice.org-2.4.0.ooo86080.unopkg.bodge.patch

openoffice.org-2.4.0.ooo86080.unopkg.bodge.patch:

--- NEW FILE openoffice.org-2.4.0.ooo86080.unopkg.bodge.patch ---
--- openoffice.org.orig/desktop/scripts/unopkg.sh	2008-01-14 15:55:26.000000000 +0000
+++ openoffice.org/desktop/scripts/unopkg.sh	2008-02-14 10:52:10.000000000 +0000
@@ -95,6 +95,29 @@
     ;;
 esac
 
+isshared=0
+for arg in $@
+do
+if [ "$arg" == "--shared" ]; then 
+    isshared=1
+fi
+done
+if [ $isshared -eq 1 ]; then
+    echo $@ | grep -q env:JFW_PLUGIN_DO_NOT_CHECK_ACCESSIBILITY
+    if [ $? -ne 0 ]; then
+        set -- $@ '-env:JFW_PLUGIN_DO_NOT_CHECK_ACCESSIBILITY=1'
+    fi
+    echo $@ | grep -q env:UNO_JAVA_JFW_INSTALL_DATA
+    if [ $? -ne 0 ]; then
+        set -- $@ '-env:UNO_JAVA_JFW_INSTALL_DATA=$$ORIGIN/../share/config/javasettingsunopkginstall.xml'
+    fi
+    echo $@ | grep -q env:UserInstallation
+    if [ $? -ne 0 ]; then
+        INSTDIR=`/bin/mktemp -d --tmpdir unoinstall.XXXXXX`
+        set -- $@ '-env:UserInstallation=file://'$INSTDIR
+    fi
+fi
+
 #collect all bootstrap variables specified on the command line
 #so that they can be passed as arguments to javaldx later on
 for arg in $@
@@ -149,5 +172,8 @@
 [ $# -eq 1 -a "oxt" = "`echo $1 | cut -d . -f 2`" -a -n "$DISPLAY" ] && GUI="gui"
 
 # execute binary
-exec "$sd_prog/$sd_binary" $GUI "$@"
+"$sd_prog/$sd_binary" $GUI "$@"
 
+if [ -n "$INSTDIR" ]; then
+   rm -rf $INSTDIR
+fi

openoffice.org-2.3.1.ooo83878.unopkg.enablelinking.patch:

Index: openoffice.org-2.3.1.ooo83878.unopkg.enablelinking.patch
===================================================================
RCS file: /cvs/pkgs/rpms/openoffice.org/devel/openoffice.org-2.3.1.ooo83878.unopkg.enablelinking.patch,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- openoffice.org-2.3.1.ooo83878.unopkg.enablelinking.patch	13 Feb 2008 20:24:31 -0000	1.3
+++ openoffice.org-2.3.1.ooo83878.unopkg.enablelinking.patch	14 Feb 2008 11:05:57 -0000	1.4
@@ -367,19 +367,3 @@
      bool option_verbose);
  
  //==============================================================================
-Index: source/pkgchk/unopkg/unopkg_misc.cxx
-===================================================================
-RCS file: /cvs/framework/desktop/source/pkgchk/unopkg/unopkg_misc.cxx,v
-retrieving revision 1.12
-diff -u -r1.12 unopkg_misc.cxx
---- openoffice.org.orig/desktop/source/pkgchk/unopkg/unopkg_misc.cxx	23 Nov 2007 13:24:35 -0000	1.12
-+++ openoffice.org/desktop/source/pkgchk/unopkg/unopkg_misc.cxx	13 Feb 2008 20:22:38 -0000
-@@ -458,7 +458,7 @@
-     }
-     else 
-     {
--        if (! s_lockfile.check( 0 ))
-+        if (!shared && !s_lockfile.check( 0 ))
-         {
-             if (bGui)
-             {


Index: openoffice.org.spec
===================================================================
RCS file: /cvs/pkgs/rpms/openoffice.org/devel/openoffice.org.spec,v
retrieving revision 1.1429
retrieving revision 1.1430
diff -u -r1.1429 -r1.1430
--- openoffice.org.spec	13 Feb 2008 20:24:31 -0000	1.1429
+++ openoffice.org.spec	14 Feb 2008 11:05:57 -0000	1.1430
@@ -1,6 +1,6 @@
 %define oootag OOH680
 %define ooomilestone 7
-%define rh_rpm_release 1
+%define rh_rpm_release 2
 
 # undef to get english only and no-langpacks for a faster smoketest build
 %define langpacks 1
@@ -142,6 +142,7 @@
 Patch68: openoffice.org-2.4.0.ooo85921.sd.editmasterundermouse.patch
 Patch69: openoffice.org-2.4.0.ooo85931.svx.getentrypos.patch
 Patch70: openoffice.org-2.4.0.oooXXXXX.ucb.newneon.patch
+Patch71: openoffice.org-2.4.0.ooo86080.unopkg.bodge.patch
 
 %define instdir %{_libdir}/openoffice.org
 
@@ -1097,6 +1098,7 @@
 %patch68 -p1 -b .ooo85921.sd.editmasterundermouse.patch
 %patch69 -p1 -b .ooo85931.svx.getentrypos.patch
 %patch70 -p1 -b .oooXXXXX.ucb.newneon.patch
+%patch71 -p1 -b .ooo86080.unopkg.bodge.patch
 
 %build
 echo build start time is `date`, diskspace: `df -h . | tail -n 1`
@@ -2871,9 +2873,9 @@
 
 
 %changelog
-* Wed Feb 13 2008 Caolan McNamara <caolanm at redhat.com> - 1:2.4.0-7.2
+* Thu Feb 14 2008 Caolan McNamara <caolanm at redhat.com> - 1:2.4.0-7.2
 - some multilib helping
-- Resolves: rhbz#432654 workaround unopkg quirks
+- Resolves: rhbz#432654 add openoffice.org-2.4.0.ooo86080.unopkg.bodge.patch
 
 * Wed Feb 13 2008 Caolan McNamara <caolanm at redhat.com> - 1:2.4.0-7.1
 - Resolves: rhbz#432368 parallel build is err... "a little" aggressive




More information about the fedora-extras-commits mailing list